List cluster actions
List cluster isolation actions for a cluster, most recently created first.
curl -X GET "https://api.prd.rad.security/accounts/example_string/clusters/example_string/actions" \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY"
import requests
import json
url = "https://api.prd.rad.security/accounts/example_string/clusters/example_string/actions"
headers = {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.prd.rad.security/accounts/example_string/clusters/example_string/actions", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.prd.rad.security/accounts/example_string/clusters/example_string/actions", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/accounts/example_string/clusters/example_string/actions')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"entries": [
{
"id": "example_string",
"cluster_id": "example_string",
"account_id": "example_string",
"action_type": "terminate_pod",
"status": "Pending",
"target_pod_name": "John Doe",
"target_namespace": "John Doe",
"parameters": {},
"result": "example_string",
"created_by": "example_string",
"created_at": "example_string",
"updated_at": "example_string",
"deleted_at": "example_string"
}
],
"page": 25,
"page_count": 25,
"page_size": 25,
"total_count": 10
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/accounts/{account_id}/clusters/{cluster_id}/actionsGET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: Authorization)
Authorizationstring
RequiredAPI key (sent in header)
path
account_idstring
RequiredAccount ID
path
cluster_idstring
RequiredCluster ID
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
account_idstring
RequiredAccount ID
cluster_idstring
RequiredCluster ID
Responses
entriesarray
pageinteger
page_countinteger
page_sizeinteger
total_countinteger
Was this page helpful?